import type { BaseItem } from '@algolia/autocomplete-core';
import type { AutocompletePlugin } from '@algolia/autocomplete-js';
/**
 *
 * @param {boolean} meta - Choose if the 'Ctrl' or 'Cmd' key should be used.
 * @param {string} key - The key you want to use to open the autocomplete: can be in keyboard code form or not ('KeyM' or 'M').
 * @param {boolean} showKeysIndicator - Choose if you want keys indicator to display next to the placeholder.
 */
export declare function createKeyboardOpenPlugin<TItem extends BaseItem, TData>({ meta, key, showKeysIndicator, }: {
    meta: boolean;
    key: KeyboardEvent['code'];
    showKeysIndicator: boolean;
}): AutocompletePlugin<TItem, TData>;
