import type { SearchOptions } from '@algolia/client-search';
import type { SearchIndex } from 'algoliasearch/lite';
import type { FederatedHits, HitWithAnswer, SourceId } from './types';
interface FindAnswersParams {
    index: SearchIndex;
    query: string;
    lang?: string;
    searchParams?: SearchOptions;
    sourceId: SourceId;
}
export declare const customFindAnswers: ({ index, query, lang, searchParams, sourceId, }: FindAnswersParams) => Promise<import("./types").DocHit & {
    locale: {
        locale: string;
        name: string;
        rtl: boolean;
    };
    id: string;
    updated_at: number;
    position: number;
    title: string;
    plain_body: string;
    outdated: boolean;
    promoted: boolean;
    vote_sum: number;
    comments_disabled: boolean;
    category: {
        id: string;
        title: string;
    };
    section: {
        id: string;
        title: string;
        full_path: string;
        user_segment: string;
    };
    user_segment: string;
    label_names: any[];
    created_at_iso: string;
    updated_at_iso: string;
    edited_at: number;
    edited_at_iso: string;
    objectID: string;
} & import("./types").AcademyHit & {
    _answer?: {
        extract: string;
        score: number;
        extractAttribute: string;
    };
} & {
    readonly objectID: string;
    readonly _highlightResult?: {
        title?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        page_title?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        description?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        tags?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        }[];
        details?: {
            questions?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            }[];
            is_token?: boolean;
        };
        level?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        variations?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        }[];
        languages?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        }[];
        url?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        base_url?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        hierarchy_level?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        hierarchy?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        }[];
        anchor?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        toc?: {
            anchor?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            title?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
        }[];
        snippets?: {
            [x: string]: {};
        };
        content_structure?: {
            lvl0?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            lvl1?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            lvl2?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            lvl3?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            lvl4?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            lvl5?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
        };
        content_type?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        type?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        type_level?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        category?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        objectID?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        locale?: {
            locale?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            name?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            rtl?: boolean;
        };
        id?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        updated_at?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        position?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        plain_body?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        outdated?: boolean;
        promoted?: boolean;
        vote_sum?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        comments_disabled?: boolean;
        section?: {
            id?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            title?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            full_path?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            user_segment?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
        };
        user_segment?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        label_names?: ({
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        } | {
            [x: string]: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            } | any;
        })[];
        created_at_iso?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        updated_at_iso?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        edited_at?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        edited_at_iso?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        last_updated_by_id?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        content?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        course_id?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        item_folder_id?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        guide_title?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        last_updated_by_name?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        name?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        banner_image?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        object_tags?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        }[];
        parent_object_id?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        section_title?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        };
        academy_ids?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        }[];
        academy_collection_ids?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        }[];
        _tags?: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
            readonly matchedWords: readonly string[];
            readonly fullyHighlighted?: boolean;
        }[];
        _answer?: {
            extract?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            score?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
            extractAttribute?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
                readonly matchedWords: readonly string[];
                readonly fullyHighlighted?: boolean;
            };
        };
    };
    readonly _snippetResult?: {
        title: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        page_title: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        description: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        tags: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        }[];
        details: {
            questions: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            }[];
            is_token: boolean;
        };
        level: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        variations: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        }[];
        languages: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        }[];
        url: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        base_url: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        hierarchy_level: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        hierarchy: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        }[];
        anchor: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        toc: {
            anchor: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            title: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
        }[];
        snippets: {
            [x: string]: {};
        };
        content_structure: {
            lvl0: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            lvl1?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            lvl2?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            lvl3?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            lvl4?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            lvl5?: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
        };
        content_type: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        type: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        type_level: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        category: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        objectID: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        locale: {
            locale: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            name: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            rtl: boolean;
        };
        id: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        updated_at: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        position: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        plain_body: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        outdated: boolean;
        promoted: boolean;
        vote_sum: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        comments_disabled: boolean;
        section: {
            id: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            title: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            full_path: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            user_segment: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
        };
        user_segment: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        label_names: ({
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        } | {
            [x: string]: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            } | any;
        })[];
        created_at_iso: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        updated_at_iso: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        edited_at: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        edited_at_iso: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        last_updated_by_id: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        content: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        course_id: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        item_folder_id: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        guide_title: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        last_updated_by_name: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        name: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        banner_image: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        object_tags: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        }[];
        parent_object_id: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        section_title: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        };
        academy_ids: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        }[];
        academy_collection_ids: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        }[];
        _tags: {
            readonly value: string;
            readonly matchLevel: "none" | "full" | "partial";
        }[];
        _answer?: {
            extract: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            score: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
            extractAttribute: {
                readonly value: string;
                readonly matchLevel: "none" | "full" | "partial";
            };
        };
    };
    readonly _rankingInfo?: import("@algolia/client-search").RankingInfo;
    readonly _distinctSeqID?: number;
} & {
    sourceId: SourceId;
}>;
export {};
