/// <reference types="react" />
import type { AutocompleteComponents } from '@algolia/autocomplete-js';
import type { FederatedHits, HitWithAnswer, SourceId } from './types';
export declare const bestHitTemplate: ({ item, titleAttribute, contentAttribute, components, }: {
    item: HitWithAnswer<FederatedHits> & {
        sourceId: SourceId;
    };
    titleAttribute: string | string[];
    contentAttribute: 'description' | 'content' | 'plain_body';
    components: AutocompleteComponents;
}) => JSX.Element;
export declare const hitTemplate: (item: HitWithAnswer<FederatedHits> & {
    sourceId: SourceId;
}) => JSX.Element;
export declare const instantsearchTemplate: <T extends {
    url: string;
}>({ item, components, highlightAttr, snippetAttr, sourceId, }: {
    item: T;
    components: AutocompleteComponents;
    highlightAttr: string[] | keyof T;
    snippetAttr: string[] | keyof T;
    sourceId: SourceId;
}) => JSX.Element;
export declare const headerTemplate: (source: any, query: any, link: string) => JSX.Element;
export declare const FooterTemplate: () => JSX.Element;
export declare const NoResultsTemplate: ({ query, }: {
    query: string;
}) => JSX.Element;
