import type { FindAnswersResponse, SearchOptions } from '@algolia/client-search';
import type { SearchClient } from 'algoliasearch/lite';
export declare type DocHit = {
    title: string;
    page_title: string;
    description: string;
    tags: string[];
    details: {
        questions: string[];
        is_token: boolean;
    };
    level: number;
    variations: string[];
    languages: string[];
    url: string;
    base_url: string;
    hierarchy_level: number;
    hierarchy: string[];
    anchor: string;
    toc: Array<{
        anchor: string;
        title: string;
    }>;
    snippets: Record<string, unknown>;
    content_structure: {
        lvl0: string;
        lvl1?: string;
        lvl2?: string;
        lvl3?: string;
        lvl4?: string;
        lvl5?: string;
    };
    content_type: string;
    type: string;
    type_level: number;
    category: string;
    objectID: string;
};
declare const zendeskExampleHit: {
    locale: {
        locale: string;
        name: string;
        rtl: boolean;
    };
    id: string;
    updated_at: number;
    position: number;
    title: string;
    plain_body: string;
    outdated: boolean;
    promoted: boolean;
    vote_sum: number;
    comments_disabled: boolean;
    category: {
        id: string;
        title: string;
    };
    section: {
        id: string;
        title: string;
        full_path: string;
        user_segment: string;
    };
    user_segment: string;
    label_names: any[];
    created_at_iso: string;
    updated_at_iso: string;
    edited_at: number;
    edited_at_iso: string;
    objectID: string;
};
export declare type ZendeskHit = typeof zendeskExampleHit;
export declare type AcademyHit = {
    description: string;
    id: string;
    last_updated_by_id: number;
    content: string;
    course_id: string;
    item_folder_id: string;
    guide_title: string;
    last_updated_by_name: string;
    name: string;
    banner_image: null;
    object_tags: string[];
    parent_object_id: string;
    section_title: string;
    type: string;
    updated_at: number;
    academy_ids: number[];
    academy_collection_ids: number[];
    _tags: string[];
    objectID: string;
};
export declare type FederatedHits = DocHit & ZendeskHit & AcademyHit;
export declare type SourceId = 'documentation' | 'help center' | 'academy';
export interface Source {
    sourceId: SourceId;
    indexName: string;
    client: SearchClient;
    searchParams?: SearchOptions;
    searchUrl: string;
}
export declare type HitWithAnswer<T> = FindAnswersResponse<T>['hits'][0];
export {};
