import type { FindAnswersOptions } from '@algolia/client-search';
import type { FederatedHits, HitWithAnswer, Source, SourceId } from './types';
export declare const getContainerAndButton: (inputSelector: string) => [HTMLElement, HTMLElement];
export declare const getElement: <TElement extends Element>(selector: string) => TElement;
export declare const debounced: <TParams>(params: TParams) => Promise<TParams>;
export declare const getSortedHits: (SOURCES: Source[], query: string, genericAnswerParams?: Omit<FindAnswersOptions, 'attributesForPrediction'> & {
    EXPERIMENTAL_illuminate?: number;
    clickAnalytics?: boolean;
}) => Promise<{
    hits: Array<HitWithAnswer<FederatedHits> & {
        sourceId: SourceId;
    }>;
}>;
export declare const parse: (html: string, selector: string) => HTMLElement;
export declare const capitalizeFirst: (text: string) => string;
export interface GroupedArrayObject<T> {
    title: string;
    items: T[];
}
export declare const groupBy: <T extends Record<string, any>, K extends keyof T>(array: T[], groupKey: K) => GroupedArrayObject<T>[];
